Groovy 1.7.10

## groovy.util
[Java] Class XmlNodePrinter.NamespaceContext

    java.lang.Object
      groovy.util.XmlNodePrinter.NamespaceContext

    protected class XmlNodePrinter.NamespaceContext

Constructor Summary
`XmlNodePrinter.NamespaceContext()`
`XmlNodePrinter.NamespaceContext(NamespaceContext context)`

Method Summary
`String` | `getNamespace(String prefix)`
`boolean` | `isPrefixRegistered(String prefix, String uri)`
`void` | `registerNamespacePrefix(String prefix, String uri)`

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Constructor Detail

### XmlNodePrinter.NamespaceContext

    public XmlNodePrinter.NamespaceContext()

### XmlNodePrinter.NamespaceContext

    public XmlNodePrinter.NamespaceContext(NamespaceContext context)

Method Detail

### getNamespace

    public String getNamespace(String prefix)

### isPrefixRegistered

    public boolean isPrefixRegistered(String prefix, String uri)

### registerNamespacePrefix

    public void registerNamespacePrefix(String prefix, String uri)

Copyright © 2003-2010 The Codehaus. All rights reserved.